GCLOUD_SPANNER_DATABASES_CREATE(1)

NAME

gcloud spanner databases create - create a Cloud Spanner database

SYNOPSIS

gcloud spanner databases create DATABASE --instance=INSTANCE [--async] [--ddl=DDL] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Create a Cloud Spanner database.

POSITIONAL ARGUMENTS

    DATABASE
        Cloud Spanner database ID.

REQUIRED FLAGS

    --instance=INSTANCE
        Cloud Spanner instance ID.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --ddl=DDL
        Semi-colon separated DDL (data definition language) statements to run inside the newly created database. If there is an error in any statement, the database is not created. Full DDL specification is at https://cloud.google.com/spanner/docs/data-definition-language

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.